> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onboard.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Trade Options

This endpoint retrieves supported fiat currencies, blockchain networks, payment channels, and transaction limits on Onboard. Use it to configure trade parameters based on user preferences.


## OpenAPI

````yaml get /exchange/api/orders/trade-options
openapi: 3.0.3
info:
  version: 2.1.0
  title: Onboard External API Gateway
  description: >-
    **Introduction**

    API Gateway for Onboard


    This specification describes API endpoints that are available to the public
    internet via the API gateway. The different endpoints require different
    authentication schemes, see documentation for what applies to the operation
    you want to access.


    **Errors**

    Uses conventional HTTP response codes to indicate success or failure. In

    general:
     
    - `2xx` status codes indicate success. Codes in the

    - `4xx` range

    indicate a client error (e.g. required parameters, failed request etc.).

    - `5xx` status codes indicate a server error occurred.
  contact:
    name: Nestcoin TechOps
    email: techops@nestcoin.com
  license:
    name: UNLICENSED
servers:
  - url: https://external.dev.onboardpay.co
    description: Gateway for external API on staging environment.
security: []
tags:
  - name: users-onboardapi
    description: Endpoints available to for merchants liquidity automation
  - name: users-users
    description: User related endpoints
  - name: users-partners
    description: Partner related endpoints
  - name: users-admin
    description: Back office related endpoints
  - name: users-user2fa
    description: User 2fa related endpoints
  - name: users-usernotifications
    description: User notifications related endpoints
  - name: users-merchantnetwork
    description: Merchant network endpoints
  - name: users-userauth
    description: Authentication endpoints
  - name: users-userservice
    description: Service endpoints
  - name: users-webhook
    description: webhook endpoints
paths:
  /exchange/api/orders/trade-options:
    get:
      tags:
        - exchange-external-api
      summary: Trade options / configurations for onboard
      operationId: getTradeOptions
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradeOptions'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
      security: []
components:
  schemas:
    TradeOptions:
      required:
        - fiats
        - networks
      type: object
      properties:
        fiats:
          type: array
          items:
            $ref: '#/components/schemas/FiatCurrency'
        networks:
          type: array
          items:
            $ref: '#/components/schemas/BlockchainNetwork'
        paymentChannels:
          type: array
          items:
            $ref: '#/components/schemas/PaymentChannel'
        transactionLimitsConfig:
          $ref: '#/components/schemas/DefaultConfigurationResponse'
    ErrorMessageDto:
      description: >-
        Default error object for services. This gives consistent error object
        that all services may use.
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code
          example: UNKNOWN_ERROR
        message:
          type: string
          description: Descriptive error message
          example: Request could not be completed due to an error
        data:
          type: object
          description: Additional data for this error message.
          additionalProperties: true
          properties: {}
      x-common-model: ErrorMessageDto
    FiatCurrency:
      required:
        - isoCode
        - logo
        - name
      type: object
      properties:
        name:
          type: string
          description: Offical name of a currency
        logo:
          type: string
          description: URL to fiat logo
        isoCode:
          type: string
          description: ISO 4217 (alphabetic) for currency
        symbol:
          type: string
          description: Alias to isoCode
        unicodeSymbol:
          type: string
          description: Unicode symbol for fiat
        transactionLimitsConfig:
          $ref: '#/components/schemas/DefaultConfigurationResponse'
    BlockchainNetwork:
      required:
        - chainId
        - explorer
        - logo
        - name
        - nativeAsset
        - networkId
      type: object
      properties:
        networkId:
          type: string
          description: Unique network connector identifier on Onboard
          example: bsc_testnet
        name:
          type: string
          description: Human readable name for the network
          example: Binance Smart Chain Network
        logo:
          type: string
          description: network's logo
          format: url
        explorer:
          type: string
          description: URL to explorer (scan) application for the network
          format: url
        chainId:
          type: number
          description: Protocol chain ID
          example: 1
        nativeAsset:
          type: string
          description: Network native coin symbol
          example: BNB
        availableTokens:
          type: array
          items:
            $ref: '#/components/schemas/Tokens'
    PaymentChannel:
      required:
        - name
      type: object
      properties:
        paymentChannelId:
          type: string
          description: Identifier for payment channel
        name:
          type: string
          description: Payment channel name
        supportedCurrencies:
          type: array
          items:
            $ref: '#/components/schemas/PaymentChannelSupportedCurrency'
    DefaultConfigurationResponse:
      type: object
      required:
        - kyc
        - noKyc
      properties:
        kyc:
          $ref: '#/components/schemas/TransactionLimitResponse'
        noKyc:
          $ref: '#/components/schemas/TransactionLimitResponse'
    Tokens:
      required:
        - decimals
        - isNative
        - networkId
        - symbol
      type: object
      properties:
        symbol:
          type: string
          description: Token symbol e.g ETH, USDC, BUSD
          example: USDC
        networkId:
          type: string
          description: Onboard network identifier
        decimals:
          type: number
          description: Token decimal size
        isNative:
          type: boolean
          description: Flags of the token is native to the blockchain or not
        address:
          type: string
          description: Token address on the chain if it's not a native token
    PaymentChannelSupportedCurrency:
      type: object
      properties:
        country:
          type: string
          description: ISO code (alpha 2) for the country valid for
        currency:
          type: string
          description: ISO code for the supported currency
    TransactionLimitResponse:
      type: object
      properties:
        dailyTransactionLimit:
          type: number
        maxSingleTransactionLimit:
          type: number
        minSingleTransactionLimit:
          type: number
        maxLifetimeLimit:
          type: number

````